Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.dlm
Class Precedence

    java.lang.Object
      org.jasig.portal.layout.dlm.Precedence

    public final class Precedence

extends java.lang.Object

Since:
  uPortal 2.5
Version:
  $Revision: 1.5 $ $Date: 2005/05/04 19:53:20 $

Field Summary
`private int` | `index`
`private double` | `precedence`
`static java.lang.String` | `RCS_ID`
`private static Precedence` | `userPrecedence`

Constructor Summary
`private` | `Precedence()`
`private` | `Precedence(java.lang.String fragmentIdx)`

Method Summary
`static Precedence` | `getUserPrecedence()`
`boolean` | `isEqualTo(Precedence p)`
`boolean` | `isLessThan(Precedence p)` Returns true of this complete precedence is less than the complete precedence of the passed in Precedence object.
`(package private) static Precedence` | `newInstance(java.lang.String fragmentIdx)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

### precedence

    private double precedence

### index

    private int index

### userPrecedence

    private static Precedence userPrecedence

Constructor Detail

### Precedence

    private Precedence()

### Precedence

    private Precedence(java.lang.String fragmentIdx)

Method Detail

### newInstance

    static Precedence newInstance(java.lang.String fragmentIdx)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isLessThan

    public boolean isLessThan(Precedence p)

  Returns true of this complete precedence is less than the complete precedence of the passed in Precedence object. The complete precedence takes into account the location in the configuration file of the fragment definition. If the "precedence" value is equal then the precedence object with the lowest index has the higher complete precedence. And index of -1 indicates the highest index in the file.

### isEqualTo

    public boolean isEqualTo(Precedence p)

### getUserPrecedence

    public static Precedence getUserPrecedence()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD